跳到主要内容

添加 Private Endpoint 白名单条目 (V2)

Adds an external cloud account to the private endpoint whitelist of a project.

POST/v2/projects/{projectId}/privateEndpointWhitelist
连接端点

该 API 的 Base URL 格式如下:

https://api.cloud.zilliz.com

📘说明

控制面接口速率限制为单用户单接口每秒最多 20 个请求。

shell
export BASE_URL="https://api.cloud.zilliz.com"
参数
Authorizationstringheader必填项

认证令牌,应为具备适当权限的 API Key。

示例值:Bearer {{TOKEN}}
projectIdstringpath必填项

项目 ID。

示例值:proj-xxxxxxxxxxxxxxxxxxx
请求体
regionIdstring必填项

云地域 ID。

outerUserIdstring必填项

外部云账号标识,例如 Azure 订阅 ID 或阿里云账号 ID。

Alibaba Cloud Accountbash
export TOKEN="YOUR_API_KEY"
export projectId="proj-xxxxxxxxxxxxxxxxxxx"

curl --request POST \
--url "${BASE_URL}/v2/projects/${projectId}/privateEndpointWhitelist" \
--header "Authorization: Bearer ${TOKEN}" \
--header "Request-Timeout: 5" \
--header "Content-Type: application/json" \
-d '{
"regionId": "ali-cn-hangzhou",
"outerUserId": "1234567890123456"
}'
响应

返回成功结果或错误消息。

成功响应。

codeinteger必填项

响应码。

示例值:0
datastring必填项

操作结果。

失败响应。

codeinteger必填项

响应码。

messagestring必填项

错误消息。

Successjson
{
"code": 0,
"data": "success"
}
Ctrl I